Get a specific shipment
curl --request GET \
--url 'https://app.smartsend.io/api/v1/website/{team}/shipments/{shipment}?api_token=' \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.smartsend.io/api/v1/website/{team}/shipments/{shipment}?api_token="
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.smartsend.io/api/v1/website/{team}/shipments/{shipment}?api_token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "c5540f2b-3eea-45c4-957a-9d7b53f899e7",
"type": "shipment",
"internal_id": "1226",
"internal_reference": "AB-00001445",
"shipping_carrier": "postnord",
"shipping_method": "collect",
"receiver": {
"internal_id": "U3778",
"internal_reference": "U-00001675",
"address_line1": "Esplanaden 50",
"postal_code": "1098",
"city": "Copenhagen",
"country": "DK",
"email": "john@example.com",
"company": "Maersk",
"name_line1": "John Doe",
"name_line2": "Att. Finance",
"address_line2": "2nd floor",
"state": "<string>",
"region": "Capital",
"sms": "30274735"
},
"parcels": [
{
"internal_id": "1226",
"internal_reference": "AB-00001445",
"id": "c5540f2b-3eea-45c4-957a-9d7b53f899e7",
"type": "parcel",
"weight": 2.35,
"height": 12.2,
"width": 15.8,
"length": 30.5,
"freetext": "Leave at doorstep",
"total_price_excluding_tax": 79.2,
"total_price_including_tax": 99,
"total_tax_amount": 19.8,
"items": [
{
"internal_id": "1226",
"internal_reference": "PRODUCT-1231456",
"sku": "12345678",
"name": "Product A",
"id": "c5540f2b-3eea-45c4-957a-9d7b53f899e7",
"type": "item",
"description": "Small Blue Product A",
"hs_code": "10203040",
"country_of_origin": "CN",
"image_url": "https://example.com/catalog/product-a.jpg",
"unit_weight": 1.2,
"unit_price_excluding_tax": 40.6,
"unit_price_including_tax": 50.75,
"quantity": 2,
"total_price_excluding_tax": 81.2,
"total_price_including_tax": 101.5,
"total_tax_amount": 20.3
}
]
}
],
"subtotal_price_excluding_tax": 159.2,
"subtotal_price_including_tax": 199,
"shipping_price_excluding_tax": 20,
"shipping_price_including_tax": 25,
"total_price_excluding_tax": 179.2,
"total_price_including_tax": 224,
"total_tax_amount": 44.8,
"currency": "EUR",
"sender": {
"internal_id": "U3778",
"internal_reference": "U-00001675",
"company": "Maersk",
"address_line1": "Esplanaden 50",
"postal_code": "1098",
"city": "Copenhagen",
"country": "DK",
"email": "john@example.com",
"name_line1": "John Doe",
"name_line2": "Att. Finance",
"address_line2": "2nd floor",
"state": "<string>",
"region": "Capital",
"sms": "30274735"
},
"agent": {
"internal_id": "U3778",
"internal_reference": "U-00001675",
"agent_no": "2134",
"company": "Maersk",
"name_line1": "John Doe",
"name_line2": "Att. Finance",
"address_line1": "Esplanaden 50",
"address_line2": "2nd floor",
"postal_code": "1098",
"city": "Copenhagen",
"state": "<string>",
"region": "Capital",
"country": "DK",
"sms": "30274735",
"email": "john@example.com"
},
"addons": [
{
"value": "+4530274735"
}
]
}
],
"meta": {
"current_page": "1",
"from": "1",
"path": "https://example.com/api/example",
"per_page": "15",
"to": "15",
"last_page": "10",
"total": "140"
}
}{
"message": "Description of the error will be inserted here.",
"code": "ValidationException",
"id": "",
"errors": {},
"links": {}
}{
"message": "Description of the error will be inserted here.",
"code": "ValidationException",
"id": "",
"errors": {},
"links": {}
}{
"message": "Description of the error will be inserted here.",
"code": "ValidationException",
"id": "",
"errors": {},
"links": {}
}{
"message": "Description of the error will be inserted here."
}Shipments
Get a specific shipment
This endpoint is used to fetch a specific shipments
GET
/
v1
/
website
/
{team}
/
shipments
/
{shipment}
Get a specific shipment
Authorizations
Provide API Token as Bearer authentication
Query API Token
Path Parameters
The domain of the website making the agent lookup request
Shipment ID
Was this page helpful?
⌘I